## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate udisks2

Name:           rust-udisks2
Version:        0.3.1
Release:        %autorelease
Summary:        Unofficial crate for interacting with the UDisks2 API

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/udisks2
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * edit licence in cargo.toml that the upstream patch file cant edit due to
#   crates.io ormalisation
Patch:          udisks2-fix-metadata.diff
# * Switches the license from LGPL-2.1-or-later to LGPL-2.0-or-later, following
#   UDisks licensing.
Patch1:         https://github.com/FineFindus/udisks-rs/commit/6359a37560f3bbeaab2b8d79ddec245cad9ec08b.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Unofficial crate for interacting with the UDisks2 API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove problmeatic "include_str"
# as it causes doctests to fail
# https://github.com/FineFindus/udisks-rs/issues/9
sed -i '1d' ./src/lib.rs


%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 20 2025 John Doe <packager@example.com> - 0.3.1-1
- Uncommitted changes
## END: Generated by rpmautospec
